Score
Credit scoring is essential for determining customer eligibility and financing terms. On this page, we'll dive into the different score endpoints you can use to evaluate creditworthiness programmatically. We'll look at how to request credit scores and understand scoring results.
Endpoints
GET/applications/{application_id}/terms
GET
/applications/{application_id}/termsGet the terms for a calculated offer
Parameters
- Name
application_id- Type
- string
- Description
- Application ID
Request
GET
/applications/{application_id}/termsResponse
{
"status": true,
"code": 200,
"data": {
"modelVersionUsed": "16",
"terms": {
"scoringVersion": "16"
}
}
}GET/applications/{application_id}/payments
GET
/applications/{application_id}/paymentsGet payments for a calculated offer
Parameters
- Name
application_id- Type
- string
- Description
- Application ID
Request
GET
/applications/{application_id}/paymentsResponse
{
"status": true,
"code": 200,
"data": {
"modelVersionUsed": "16",
"term": 18,
"leaseAmount": "$4,000.00",
"paymentAmount": 0,
"paymentAmount_no_tax": 0,
"total": "$0.00",
"mult": 0,
"firstPaymentDate": "February 22, 2022",
"total_cost_ownership": -4000,
"ocp_amount": 0,
"lease_deposit": "0.00",
"express_pay_3_month": "0.00",
"express_pay_6_month": "0.00",
"express_pay_9_month": "0.00"
}
}GET/applications/{application_id}/offers
GET
/applications/{application_id}/offersGet the calculated offer for an application
Parameters
- Name
application_id- Type
- string
- Description
- Application ID
Request
GET
/applications/{application_id}/offersResponse
{
"status": true,
"code": 200,
"data": {
"C": "4,000.00"
}
}GET/applications/{application_id}/scores
GET
/applications/{application_id}/scoresGet a Score for an application
Parameters
- Name
application_id- Type
- string
- Description
- Application ID
Request
GET
/applications/{application_id}/scoresPOST/score/payments
POST
/score/paymentsGet payment calculation
Request Body
Payment parameters to calculate from
Schema: Payment Details
Request
POST
/score/payments{
"application_id": 123,
"option": "offer_option",
"paymentFrequency": "payment_frequency",
"rating": 123,
"modelVersion": 123,
"score": 123,
"leaseAmount": 123,
"additionalDown": 123,
"incomeFrequency": "income_frequency",
"companyState": "store_company_state",
"zipCode": "zip_code",
"ocpIncluded": true
}Response
{
"status": true,
"code": 200,
"data": {
"modelVersionUsed": "16",
"term": 24,
"leaseAmount": "$3,000.00",
"paymentAmount": 401.57,
"paymentAmount_no_tax": 368.75,
"total": "$9,637.68",
"mult": 2.95,
"firstPaymentDate": "February 22, 2022",
"total_cost_ownership": 6637.68,
"ocp_amount": 0,
"lease_deposit": "401.57",
"express_pay_3_month": "0.00",
"express_pay_6_month": "0.00",
"express_pay_9_month": "0.00"
}
}Schemas
Payment Details
Calculate Payment Details. If the application_id is used, several of these fields will not be required. Those values will be pulled from the application
Properties
- Name
application_id- Type
- integer
- Description
- The application ID
- Name
option- Type
- string
- Description
- The type of offer to get a payment calculation for. Either A, B, or C
- Name
paymentFrequency- Type
- string
- Description
- The frequency of the payment. Either '14-day' (Every 2 Weeks), '28-day' (Every 4 Weeks), 'semi-monthly' (Semi-Monthly), 'monthly' (Monthly)
- Name
rating- Type
- integer
- Description
- The Store Rating to use. This is not required if application_id is used
- Name
modelVersion- Type
- integer
- Description
- The model version used for calculation. This is not required if application_id is used
- Name
score- Type
- integer
- Description
- The score to use in the calculation. This is not required if application_id is used
- Name
leaseAmount- Type
- number
- Description
- The amount for the lease
- Name
additionalDown- Type
- number
- Description
- The additional amount to put down. Default is $0
- Name
incomeFrequency- Type
- string
- Description
- The frequency of the income. Either 'weekly', 'bi-weekly', 'semi-monthly' (Semi-Monthly), 'monthly' (Monthly). This is not required if application_id is used
- Name
companyState- Type
- string
- Description
- The 2 character ISO 3166-2 state code for the store. This is not required if application_id is used
- Name
zipCode- Type
- string
- Description
- The ZIP code of the customer. This is not required if application_id is used
- Name
ocpIncluded- Type
- boolean
- Description
- OCP payment included?
